Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 3005273002: Add a check that sanitizers cause a fatal failure (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 week, 4 days ago by oprypin_webrtc
Modified:
6 days ago
CC:
webrtc-reviews_webrtc.org, tterriberry_mozilla.com
Target Ref:
refs/heads/master
Project:
webrtc
Visibility:
Public.

Description

Patch Set 1 : Add a check that sanitizers cause a fatal failure #

Patch Set 2 : Rework #

Total comments: 15

Patch Set 3 : Fix msan check #

Patch Set 4 : Minor fixes #

Patch Set 5 : Include fix #

Patch Set 6 : Rework ubsan_vptr check #

Total comments: 3

Patch Set 7 : Rebase #

Messages

Total messages: 51 (37 generated)
oprypin_webrtc
1 week, 1 day ago (2017-09-11 14:33:53 UTC) #16
kjellander_webrtc
lgtm, but I'd like a solid C++ programmer like Karl to look at the code ...
1 week, 1 day ago (2017-09-12 05:19:37 UTC) #18
kwiberg-webrtc
https://codereview.webrtc.org/3005273002/diff/100001/webrtc/rtc_tools/BUILD.gn File webrtc/rtc_tools/BUILD.gn (right): https://codereview.webrtc.org/3005273002/diff/100001/webrtc/rtc_tools/BUILD.gn#newcode323 webrtc/rtc_tools/BUILD.gn:323: "../rtc_base:rtc_base", The :rtc_base suffix is unnecessary, right? https://codereview.webrtc.org/3005273002/diff/100001/webrtc/rtc_tools/sanitizers_unittest.cc File ...
6 days, 23 hours ago (2017-09-13 11:59:23 UTC) #19
oprypin_webrtc
https://codereview.webrtc.org/3005273002/diff/100001/webrtc/rtc_tools/BUILD.gn File webrtc/rtc_tools/BUILD.gn (right): https://codereview.webrtc.org/3005273002/diff/100001/webrtc/rtc_tools/BUILD.gn#newcode323 webrtc/rtc_tools/BUILD.gn:323: "../rtc_base:rtc_base", On 2017/09/13 11:59:23, kwiberg-webrtc wrote: > The :rtc_base ...
6 days, 20 hours ago (2017-09-13 14:48:15 UTC) #22
kwiberg-webrtc
https://codereview.webrtc.org/3005273002/diff/100001/webrtc/rtc_tools/sanitizers_unittest.cc File webrtc/rtc_tools/sanitizers_unittest.cc (right): https://codereview.webrtc.org/3005273002/diff/100001/webrtc/rtc_tools/sanitizers_unittest.cc#newcode22 webrtc/rtc_tools/sanitizers_unittest.cc:22: #if defined(MEMORY_SANITIZER) On 2017/09/13 14:48:15, oprypin_webrtc wrote: > On ...
6 days, 8 hours ago (2017-09-14 02:15:03 UTC) #29
oprypin_webrtc
https://codereview.webrtc.org/3005273002/diff/100001/webrtc/rtc_tools/sanitizers_unittest.cc File webrtc/rtc_tools/sanitizers_unittest.cc (right): https://codereview.webrtc.org/3005273002/diff/100001/webrtc/rtc_tools/sanitizers_unittest.cc#newcode62 webrtc/rtc_tools/sanitizers_unittest.cc:62: }; On 2017/09/14 02:15:02, kwiberg-webrtc wrote: > IIUC, you ...
6 days, 4 hours ago (2017-09-14 06:48:34 UTC) #30
kwiberg-webrtc
lgtm now. Too bad we couldn't figure out a way to differentiate between ubsan and ...
6 days, 2 hours ago (2017-09-14 08:23:23 UTC) #31
oprypin_webrtc
https://codereview.webrtc.org/3005273002/diff/180001/webrtc/rtc_tools/sanitizers_unittest.cc File webrtc/rtc_tools/sanitizers_unittest.cc (right): https://codereview.webrtc.org/3005273002/diff/180001/webrtc/rtc_tools/sanitizers_unittest.cc#newcode62 webrtc/rtc_tools/sanitizers_unittest.cc:62: virtual ~Base() {} On 2017/09/14 08:23:22, kwiberg-webrtc wrote: > ...
6 days, 2 hours ago (2017-09-14 08:33:05 UTC) #32
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/3005273002/180001
6 days, 2 hours ago (2017-09-14 08:33:21 UTC) #35
kwiberg-webrtc
https://codereview.webrtc.org/3005273002/diff/180001/webrtc/rtc_tools/sanitizers_unittest.cc File webrtc/rtc_tools/sanitizers_unittest.cc (right): https://codereview.webrtc.org/3005273002/diff/180001/webrtc/rtc_tools/sanitizers_unittest.cc#newcode62 webrtc/rtc_tools/sanitizers_unittest.cc:62: virtual ~Base() {} On 2017/09/14 08:33:04, oprypin_webrtc wrote: > ...
6 days, 2 hours ago (2017-09-14 08:48:27 UTC) #36
commit-bot: I haz the power
Failed to commit the patch.
6 days, 2 hours ago (2017-09-14 09:02:22 UTC) #41
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/3005273002/200001
6 days, 1 hour ago (2017-09-14 09:13:32 UTC) #44
commit-bot: I haz the power
Failed to commit the patch.
6 days, 1 hour ago (2017-09-14 09:54:14 UTC) #49
oprypin_webrtc
6 days ago (2017-09-14 11:05:09 UTC) #51
Message was sent while issue was closed.
Committed patchset #7 (id:200001) manually as
66ca7e3b06aeb3b2804596914e1f6313d9bbe98d (presubmit successful).
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b